/* Aufladen eines Kondensators
Die Spannung am Kondensator wird ueber den Analogpin A0 gemessen.
Die Triggerung erfolgt ueber den Digitalpin 2

*/
long zeit, intervall;
boolean einmal=true;
void setup() {
  Serial.begin(9600);
  Serial.flush();
  pinMode(2, OUTPUT);
  digitalWrite(2, LOW);
  zeit=millis();
  digitalWrite(2, LOW);
  
  if (analogRead(0)>800) {
    intervall=millis()-zeit;
    Serial.print("Die Auflagezeit betraegt ");
    Serial.print(intervall);
    Serial.println("  Millisekunden");
    Serial.println("Das Programm stoppt nun. Nehmen Sie den Kondensator aus dem Breadboard und entladen Sie ihn");
    Serial.println("Danach koennen Sie ihn wieder einsetzen (Polung beachten) und das Programm mit der Reset-Taste neu starten");
    
  }

}

void loop() {
  // put your main code here, to run repeatedly:
  if (analogRead(0)>1000 && einmal==true) {
    intervall=millis()-zeit;
    Serial.print("Die Auflagezeit betraegt ");
    Serial.print(intervall);
    Serial.println("  Millisekunden");
    Serial.println("Das Programm stoppt nun. Nehmen Sie den Kondensator aus dem Breadboard und entladen Sie ihn");
    Serial.println("Danach koennen Sie ihn wieder einsetzen (Polung beachten) und das Programm mit der Reset-Taste neu starten");
    Serial.println();
    Serial.println();
    einmal=false;
  }

}
