/*
  Schalter2
  Bei jedm Druecken des Tasters soll die LED ihren Zustand aendern
  von Norbert Kraemer
*/

int inPin = 12;         // Nummer des Eingabe-Pins
int outPin = 13;        // Nummer des Ausgabe-Pins

boolean zustandLED;                      // Zum Merken des gegenwaertigen Zustands
int alterZustandTaster=LOW;              // Zum Merken des letzten Zustands
int neuerZustandTaster=HIGH;             // Zum Merken des neuen Zustands
int momentanerZustandTaster;             // Auslesen des momentanen Zustands
long zeit;                               // Zum Merken der Zeit
long verzoegerung=200;                   // Zum Einstellen der Verzoegerung wegen Entprellung

void setup() {
  // put your setup code here, to run once:
  pinMode(inPin,INPUT);
  pinMode(outPin,OUTPUT);
  //zeit=millis();
}

void loop() {
  // put your main code here, to run repeatedly:
  momentanerZustandTaster=digitalRead(inPin);   // Der Zustand des Tasters wird ermittelt
  
  if (  (momentanerZustandTaster == HIGH) && (alterZustandTaster == LOW) && (millis()-zeit > verzoegerung) ) {  
    //         Bedingung1                            Bedingung2                      Bedingung3
    // Die Taste GERADE wurde gedrueckt und wird fuer mindestens verzoegerung gehalten (Bedingung3)
    
    if (neuerZustandTaster == HIGH) {                                   // Die Taste wurde noch nicht losgelassen
      //      Bedingung 4
      neuerZustandTaster = LOW; } 
    else { neuerZustandTaster = HIGH; 
    
    }
    zeit=millis();
  }
  
  digitalWrite(outPin, neuerZustandTaster);
  alterZustandTaster=momentanerZustandTaster;    // Der gerade ermittelte Zustand ist ab sofort der alte Zustand
                                                 
}
