/*
  Lauflicht aus 4 LEDs oder Relais
  von Norbert Kraemer
 */
 
// Variablendefinitionen
int led1 = 2;   // int bedeutet ganze Zahl, led1 ist der Variablenname
int led2 = 3;
int led3 = 4;
int led4 = 5;
int einz=1000;
int ausz=200;
// Damit das Programm flexibel ist, wird hier definiert, was einPegel und ausPegel ist.
// Bei Relais ist  einPegel = LOW, bei LEDs ist einPegel = HIGH
// Dadurch muss man nur diese beiden Zeilen anpassen. Der Rest des Programms bleibt.
int einPegel = LOW;
int ausPegel = HIGH;

void LEDschalten(int lednr, int einz, int ausz) {
  digitalWrite(lednr, einPegel);   // Schalte die LED oder das Relais ein
  delay(einz);                    // Warte, bis die Einschaltzeit (einz) vorbei ist
  digitalWrite(lednr, ausPegel);   // Schalte die LED oder das Relais aus
  delay(ausz);                    // Warte, bis die Ausschaltzeit (ausz) vorbei ist  
}


// the setup routine runs once when you press reset:
void setup() {                
  // initialize the digital pin as an output.
  pinMode(led1, OUTPUT);  
  pinMode(led2, OUTPUT); 
  pinMode(led3, OUTPUT); 
  pinMode(led4, OUTPUT);   
}

// the loop routine runs over and over again forever:
void loop() {
  LEDschalten(led1, 1000, 300);
  LEDschalten(led3, 200, 500);
  LEDschalten(led2, 100, 300);
  LEDschalten(led4, 1000, 1000);   
}
